commit:     9ba75bda081764c284e4f62f178ab94dd70e263d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  9 04:12:18 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jul  9 04:53:15 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9ba75bda

dev-python/nuitka: Bump to 2.7.12

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/nuitka/Manifest             |  1 +
 dev-python/nuitka/nuitka-2.7.12.ebuild | 55 ++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/nuitka/Manifest b/dev-python/nuitka/Manifest
index 3789c54ee355..825d380fc480 100644
--- a/dev-python/nuitka/Manifest
+++ b/dev-python/nuitka/Manifest
@@ -1,3 +1,4 @@
 DIST Nuitka-2.7.10.tar.gz 3887512 BLAKE2B 
477bb856f18250ecca84c64e0c40c398bfdcd076119ff004853dd9dae8bcd9348cc71cd7eb7cb25123e05d6eaabf1f06c8b0d94f9db92437def863a88e7a4f57
 SHA512 
09a6c6f3c9c815529db11b23b9535871295445db77bfc5b68d687a2db3a8a1267505d297b84351b689c3e7d4d733f5458275af884a7b0a5f918bf0d0b097dd76
 DIST Nuitka-2.7.11.tar.gz 3887328 BLAKE2B 
88d82d0cfcf8e595e0e8bc095518d52c775ae9ccb74238882cbde602fb0453d417710456e2961ed2147c4fa3fb07d94794535bab33c6b6b37cd18f66386e996d
 SHA512 
545505bb4ab5460e3862e23cdc16746f12ad6268ed67281afe0c73ae400890120469dceac833ef9ac41596aebfdb0bd75346d45a4522d873ffd7f2d378e0bc20
+DIST Nuitka-2.7.12.tar.gz 3887702 BLAKE2B 
d3b642043539edfcd3546345a84cd384ff50b178da42e0fa8ee4e05301ea1be5f6780c1dec451e1aedd7baf3d38c02470d50da6786b1b2ca564a4215d2fb39bc
 SHA512 
f13f830448267ed49860cbbb4777fe40cbf7f441f294044564a1f1d861be6404cc438312dc4b5177180fc55ac46664d316d1d43ffe4f2777c3db478e0508ddd0
 DIST Nuitka-2.7.9.tar.gz 3886410 BLAKE2B 
c61ac13adc227880a56d51278d9b72d61d5e88cb008682da7f200c74dd0fae2b57f55a65e72a3d4ccde20c4be60c94ba80ce8bb7aad989bb037165775108fc4e
 SHA512 
74d5e446d5704c09d137aff6884f5c82de2c30606b712d34b0321263d4bb042e9711f2320cf03920850cdb0a10d163f7944057e4ae1e72a8c316cee38bb019c0

diff --git a/dev-python/nuitka/nuitka-2.7.12.ebuild 
b/dev-python/nuitka/nuitka-2.7.12.ebuild
new file mode 100644
index 000000000000..56ab4fd312bd
--- /dev/null
+++ b/dev-python/nuitka/nuitka-2.7.12.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 flag-o-matic optfeature pypi
+
+DESCRIPTION="Python to native compiler"
+HOMEPAGE="
+       https://nuitka.net/
+       https://github.com/Nuitka/Nuitka/
+       https://pypi.org/project/Nuitka/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~loong ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       dev-build/scons[${PYTHON_USEDEP}]
+       >=dev-python/ordered-set-4.1.0[${PYTHON_USEDEP}]
+       >=dev-python/zstandard-0.15[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       ${RDEPEND}
+       test? ( dev-util/ccache )
+"
+
+distutils-r1_src_prepare() {
+       # remove vendored version of SCons that is Python2 only
+       # this should be removed when upstream removes support for Python2
+       rm -vR "nuitka/build/inline_copy/lib/scons-2.3.2/SCons" || die
+       eapply_user
+}
+
+python_install() {
+       distutils-r1_python_install
+       doman doc/nuitka.1 doc/nuitka-run.1
+}
+
+python_test() {
+       append-ldflags -Wl,--no-warn-search-mismatch
+       ./tests/basics/run_all.py search || die
+}
+
+pkg_postinst() {
+       optfeature "support for stand-alone executables" dev-util/patchelf
+}

Reply via email to